ISV Contract - Create ISV Contract

Create an ISV contract.

POST https://api.powerplatform.com/licensing/isvContracts?api-version=2024-10-01

URI Parameters

Name In Required Type Description
api-version
query True

string

The API version.

Request Body

Name Required Type Description
billingInstrument True

BillingInstrumentModel

The ISV billing instrument information.

conditions True

BillingPolicyConditionsModel

The ISV Contract API filter conditions.

consumer True

ConsumerIdentityModel

The consumer identity for ISV contract.

geo True

Geo[]

Resource location for billing account creation. Immutable.

name True

string

minLength: 10
maxLength: 64
pattern: /^[a-zA-Z\d]+$/
powerAutomatePolicy True

PowerAutomatePolicyModel

The Power Platform requests policies.

status True

BillingPolicyStatus

The desired ISV contract status.

Responses

Name Type Description
201 Created

IsvContractResponseModel

Success

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
BillingInstrumentModel

The ISV billing instrument information.

BillingPolicyConditionsApiFilterModel

The Power Platform connector filter.

BillingPolicyConditionsApiModel
BillingPolicyConditionsModel

The ISV Contract API filter conditions.

BillingPolicyStatus

The desired ISV contract status.

ConsumerIdentityModel

The consumer identity for ISV contract.

IsvContractPostRequestModel

The ISV contract model for update operations.

IsvContractResponseModel
LicensingPrincipal
PayAsYouGoState
PowerAutomatePolicyModel

The Power Platform requests policies.

PrincipalType

BillingInstrumentModel

The ISV billing instrument information.

Name Type Description
id

string

resourceGroup

string

The resource group within the tenant subscription.

subscriptionId

string (uuid)

The tenant subscription ID.

BillingPolicyConditionsApiFilterModel

The Power Platform connector filter.

Name Type Description
allowOtherPremiumConnectors

boolean

Whether metered usage with premium connectors may be attributed.

requiredApis

BillingPolicyConditionsApiModel[]

Connectors where at least one must be in the metered usage.

BillingPolicyConditionsApiModel

Name Type Description
name

string

The name of an API connector.

BillingPolicyConditionsModel

The ISV Contract API filter conditions.

Name Type Description
apiFilter

BillingPolicyConditionsApiFilterModel

The Power Platform connector filter.

BillingPolicyStatus

The desired ISV contract status.

Value Description
Enabled
Disabled

ConsumerIdentityModel

The consumer identity for ISV contract.

Name Type Description
tenantId

string (uuid)

The ID of the customer tenant.

IsvContractPostRequestModel

The ISV contract model for update operations.

Name Type Description
billingInstrument

BillingInstrumentModel

The ISV billing instrument information.

conditions

BillingPolicyConditionsModel

The ISV Contract API filter conditions.

consumer

ConsumerIdentityModel

The consumer identity for ISV contract.

geo

Geo[]

Resource location for billing account creation. Immutable.

name

string

minLength: 10
maxLength: 64
pattern: /^[a-zA-Z\d]+$/
powerAutomatePolicy

PowerAutomatePolicyModel

The Power Platform requests policies.

status

BillingPolicyStatus

The desired ISV contract status.

IsvContractResponseModel

Name Type Description
billingInstrument

BillingInstrumentModel

The ISV billing instrument information.

conditions

BillingPolicyConditionsModel

The ISV Contract API filter conditions.

consumer

ConsumerIdentityModel

The consumer identity for ISV contract.

createdBy

LicensingPrincipal

createdOn

string (date-time)

geo

string

id

string

lastModifiedBy

LicensingPrincipal

lastModifiedOn

string (date-time)

name

string

powerAutomatePolicy

PowerAutomatePolicyModel

The Power Platform requests policies.

status

BillingPolicyStatus

The desired ISV contract status.

LicensingPrincipal

Name Type Description
id

string

type

PrincipalType

PayAsYouGoState

Value Description
Enabled
Disabled

PowerAutomatePolicyModel

The Power Platform requests policies.

Name Type Description
cloudFlowRunsPayAsYouGoState

PayAsYouGoState

desktopFlowAttendedRunsPayAsYouGoState

PayAsYouGoState

desktopFlowUnattendedRunsPayAsYouGoState

PayAsYouGoState

PrincipalType

Value Description
None
Application
User
DelegatedAdmin